SOFTFLOWCTL(8)

NAME
softflowctl - Remote control program for softflowd

SYNOPSIS
softflowctl [-h] [-c ctl_sock] command

DESCRIPTION
softflowctl is a remote control program used to control a running softflowd(8) daemon.

The command line options are as follows:

-c ctlsock
    Specify an alternate location for the remote control socket. Default is /var/run/softflowd.ctl

-h  Display command line usage information.

COMMANDS

shutdown
    Ask softflowd(8) to gracefully exit. This is equivalent to sending it a SIGTERM or SIGINT.

exit
    Ask softflowd(8) to immediately exit. No flow expiry processing or data export is performed.

expire-all
    Immediately expire all tracked flows.

delete-all
    Immediately delete all tracked flows. No flow expiry processing or data export is performed.

statistics
    Return statistics collected by softflowd(8) on expired flows.

debug+
    Increase the debugging level of softflowd(8)

debug-
    Decrease the debugging level.

stop-gather
    Stops network data collection by softflowd(8).

start-gather
    Resumes network data collection.

dump-flows
    Return information on all tracked flows.

timeouts
    Print information on flow timeout parameters.

send-template
    Resend a NetFlow v.9 template record before the next flow export. Has no effect for other flow export versions.

BUGS
All times are unconditionally displayed in UTC, regardless of the system timezone. Please report bugs in softflowctl to https://github.com/irino/softflowd/issues

AUTHORS
Damien Miller <djm@mindrot.org> Hitoshi Irino (current maintainer) <irino@sfc.wide.ad.jp>

SEE ALSO
softflowd(8)